import printBill from '../control/printBill.vue'
export default {
  execute: function (bill, param) {
    if (param) {
      GMS.$hideContainer.addComponent(printBill, {}, function (c) {
        c.billId = bill.getMasterData().getValue('id');
        c.billDefineName = param.define;
        if(param.param.subName){
          c.subName = param.param.subName;
        }
        c.modalShow = true;
      })
    } else {
      GAMS.Common.messagePrompt('缺少参数')
    }
  }
}